## gimpimageconvert gimpimageconvert — Conversions between RGB, indexed, and grayscale modes. |

## Functions

gboolean | gimp_image_convert_rgb ()
gboolean | gimp_image_convert_grayscale ()
gboolean | gimp_image_convert_indexed ()
gboolean | gimp_image_convert_set_dither_matrix ()
gboolean | gimp_image_convert_precision ()

## Description

Conversions between RGB, indexed, and grayscale modes.

## Functions

### gimp_image_convert_rgb ()

    gboolean
    gimp_image_convert_rgb (gint32 image_ID);

Convert specified image to RGB color

This procedure converts the specified image to RGB color. This process requires an image in Grayscale or Indexed color mode. No image content is lost in this process aside from the colormap for an indexed image.

#### Parameters

image_ID | The image. |

#### Returns

TRUE on success.

### gimp_image_convert_grayscale ()

    gboolean
    gimp_image_convert_grayscale (gint32 image_ID);

Convert specified image to grayscale

This procedure converts the specified image to grayscale. This process requires an image in RGB or Indexed color mode.

#### Parameters

image_ID | The image. |

#### Returns

TRUE on success.

### gimp_image_convert_indexed ()

    gboolean
    gimp_image_convert_indexed (gint32 image_ID,
                                GimpConvertDitherType dither_type,
                                GimpConvertPaletteType palette_type,
                                gint num_cols,
                                gboolean alpha_dither,
                                gboolean remove_unused,
                                const gchar *palette);

Convert specified image to and Indexed image

This procedure converts the specified image to 'indexed' color. This process requires an image in RGB or Grayscale mode. The 'palette_type' specifies what kind of palette to use, A type of '0' means to use an optimal palette of 'num_cols' generated from the colors in the image. A type of '1' means to re-use the previous palette (not currently implemented). A type of '2' means to use the so-called WWW-optimized palette. Type '3' means to use only black and white colors. A type of '4' means to use a palette from the gimp palettes directories. The 'dither type' specifies what kind of dithering to use. '0' means no dithering, '1' means standard Floyd-Steinberg error diffusion, '2' means Floyd-Steinberg error diffusion with reduced bleeding, '3' means dithering based on pixel location ('Fixed' dithering).

#### Parameters

image_ID | The image. |
dither_type | The dither type to use. |
palette_type | The type of palette to use. |
num_cols | The number of colors to quantize to, ignored unless (palette_type == GIMP_CONVERT_PALETTE_GENERATE). |
alpha_dither | Dither transparency to fake partial opacity. |
remove_unused | Remove unused or duplicate color entries from final palette, ignored if (palette_type == GIMP_CONVERT_PALETTE_GENERATE). |
palette | The name of the custom palette to use, ignored unless (palette_type == GIMP_CONVERT_PALETTE_CUSTOM). |

#### Returns

TRUE on success.

### gimp_image_convert_set_dither_matrix ()

    gboolean
    gimp_image_convert_set_dither_matrix (gint width,
                                          gint height,
                                          gint matrix_length,
                                          const guint8 *matrix);

Set dither matrix for conversion to indexed

This procedure sets the dither matrix used when converting images to INDEXED mode with positional dithering.

#### Parameters

width | Width of the matrix (0 to reset to default matrix). |
height | Height of the matrix (0 to reset to default matrix). |
matrix_length | The length of 'matrix'. |
matrix | The matrix -- all values must be >= 1. |

#### Returns

TRUE on success.

Since: 2.4

### gimp_image_convert_precision ()

    gboolean
    gimp_image_convert_precision (gint32 image_ID,
                                  GimpPrecision precision);

Convert the image to the specified precision

This procedure converts the image to the specified precision. Note that indexed images cannot be converted and are always in GIMP_PRECISION_U8.

#### Parameters

image_ID | The image. |
precision | The new precision. |

#### Returns

TRUE on success.

Since: 2.10